export class Injectable {

    private ctor;

    /**
     *
     */
    constructor(constructor) {
        this.ctor = constructor;
    }

    /**
     * The constructor of the Injectable
     */
    construct<TType>(dependencies: Array<any>): TType {
        return new this.ctor(dependencies);
    }
}
